=== debian/changelog ===
opencpn-plugin-oesenc (2.5-0~201902121203~mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 14:04:52 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 17:59:53 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:06:32 -0700

opencpn-plugin-oesenc (2.5-0~201902121203mx197+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:36:58 -0700

opencpn-plugin-oesenc (2.5-0~201902121203mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Converted to a quilt build.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:27:32 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~ubuntu19.04.1) disco; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 12 Feb 2019 12:20:06 +0000

opencpn-plugin-oesenc (2.5-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 10 Feb 2019 09:01:17 -0300
