=== debian/control ===
Source: opencpn-plugin-oesenc
Section: misc
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, gettext, git-core, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libportaudio2, portaudio19-dev, 
	libcurl4-openssl-dev, libexpat1-dev, libcairo2-dev, libarchive-dev, liblzma-dev, 
	libexif-dev, libelf-dev, libsqlite3-dev
Standards-Version: 4.1.2
Homepage: https://github.com/nohal/oesenc_pi
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/opencpn-plugin-oesenc.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opencpn-plugin-oesenc.git

Package: opencpn-plugin-oesenc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencpn (>= 4.8.2)
Description: Launcher plugin for OpenCPN
 Allows runinng external commands and automatization of some
 keyboard actions to be performed using large buttons.
